Berkeley DB version 4.5.20

## com.sleepycat.db
Interface MessageHandler

    public interface MessageHandler

An interface specifying a callback function to be called to display informational messages.

Method Summary
`void` `message(Environment environment, String message)` A callback function to be called to display informational messages.

Method Detail

### message

    void message(Environment environment,
                 String message)

  A callback function to be called to display informational messages.

  There are interfaces in the Berkeley DB library which either directly output informational messages or statistical information, or configure the library to output such messages when performing other operations, `EnvironmentConfig.setVerboseDeadlock` for example.

  The `EnvironmentConfig.setMessageHandler` and `DatabaseConfig.setMessageHandler` methods are used to display these messages for the application.

  Parameters:
    `environment` - The enclosing database environment handle.

    `message` - An informational message string.

Berkeley DB version 4.5.20

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.